com.tibbo.aggregate.common.util

## Class ComponentLocationDockable

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.util.ComponentLocationDockable

-     public class ComponentLocationDockable
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `F_CLOSABLE`
    `static java.lang.String` | `F_COllAPSED`
    `static java.lang.String` | `F_COLLAPSIBLE`
    `static java.lang.String` | `F_DESCRIPTION`
    `static java.lang.String` | `F_FLOATABLE`
    `static java.lang.String` | `F_HEIGHT`
    `static java.lang.String` | `F_ICON`
    `static java.lang.String` | `F_MAXIMIZABLE`
    `static java.lang.String` | `F_MINIMUM_HEIGHT`
    `static java.lang.String` | `F_MINIMUM_WIDTH`
    `static java.lang.String` | `F_MOVABLE`
    `static java.lang.String` | `F_POSITION`
    `static java.lang.String` | `F_POSITION_ATTRIBUTE`
    `static java.lang.String` | `F_PREFFERED_HEIGHT`
    `static java.lang.String` | `F_PREFFERED_WIDTH`
    `static java.lang.String` | `F_RESIZABLE`
    `static java.lang.String` | `F_SHOW_HEADER`
    `static java.lang.String` | `F_TAB_INDEX`
    `static java.lang.String` | `F_TAB_POSITION`
    `static java.lang.String` | `F_TARGET_ID`
    `static java.lang.String` | `F_WIDTH`
    `static java.lang.String` | `F_X`
    `static java.lang.String` | `F_Y`
    `static TableFormat` | `OFT_COMPONENT_LOCATION_DOCKABLE`
    `static java.lang.String` | `SEL_BOTTOM`
    `static java.lang.String` | `SEL_FLOAT`
    `static java.lang.String` | `SEL_INNER`
    `static java.lang.String` | `SEL_LEFT`
    `static java.lang.String` | `SEL_OUTER`
    `static java.lang.String` | `SEL_RIGHT`
    `static java.lang.String` | `SEL_TAB`
    `static java.lang.String` | `SEL_TOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentLocationDockable()`
    `ComponentLocationDockable(DataRecord data)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentLocationDockable` | `fromDataTable(DataTable dataTable)`
    `java.lang.Boolean` | `getClosable()`
    `java.lang.Boolean` | `getCollapsed()`
    `java.lang.Boolean` | `getCollapsible()`
    `java.lang.String` | `getDescription()`
    `java.lang.Boolean` | `getFloatable()`
    `java.lang.Integer` | `getHeight()`
    `ImageObject` | `getIcon()`
    `java.lang.Boolean` | `getMaximizable()`
    `java.lang.Integer` | `getMinimumHeight()`
    `java.lang.Integer` | `getMinimumWidth()`
    `java.lang.Boolean` | `getMovable()`
    `java.lang.String` | `getPosition()`
    `java.lang.String` | `getPositionAttribute()`
    `java.lang.Integer` | `getPreferredHeight()`
    `java.lang.Integer` | `getPreferredWidth()`
    `java.lang.Boolean` | `getResizable()`
    `java.lang.Boolean` | `getShowHeader()`
    `java.lang.Integer` | `getTabIndex()`
    `java.lang.String` | `getTabPosition()`
    `java.lang.String` | `getTargetId()`
    `java.lang.Integer` | `getWidth()`
    `java.lang.Integer` | `getX()`
    `java.lang.Integer` | `getY()`
    `void` | `setClosable(java.lang.Boolean closable)`
    `void` | `setCollapsed(java.lang.Boolean collapsed)`
    `void` | `setCollapsible(java.lang.Boolean collapsible)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setFloatable(java.lang.Boolean floatable)`
    `void` | `setHeight(java.lang.Integer height)`
    `void` | `setIcon(ImageObject icon)`
    `void` | `setMaximizable(java.lang.Boolean maximizable)`
    `void` | `setMinimumHeight(java.lang.Integer minimumHeight)`
    `void` | `setMinimumWidth(java.lang.Integer minimumWidth)`
    `void` | `setMovable(java.lang.Boolean movable)`
    `void` | `setPosition(java.lang.String position)`
    `void` | `setPositionAttribute(java.lang.String positionAttribute)`
    `void` | `setPreferredHeight(java.lang.Integer preferredHeight)`
    `void` | `setPreferredWidth(java.lang.Integer preferredWidth)`
    `void` | `setResizable(java.lang.Boolean resizable)`
    `void` | `setShowHeader(java.lang.Boolean showHeader)`
    `void` | `setTabIndex(java.lang.Integer tabIndex)`
    `void` | `setTabPosition(java.lang.String tabPosition)`
    `void` | `setTargetId(java.lang.String targetId)`
    `void` | `setWidth(java.lang.Integer width)`
    `void` | `setX(java.lang.Integer x)`
    `void` | `setY(java.lang.Integer y)`
    `DataTable` | `toDataTable()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OFT_COMPONENT_LOCATION_DOCKABLE

          public static final TableFormat OFT_COMPONENT_LOCATION_DOCKABLE

    - #### F_X

          public static final java.lang.String F_X

      See Also:
        Constant Field Values

    - #### F_Y

          public static final java.lang.String F_Y

      See Also:
        Constant Field Values

    - #### F_WIDTH

          public static final java.lang.String F_WIDTH

      See Also:
        Constant Field Values

    - #### F_HEIGHT

          public static final java.lang.String F_HEIGHT

      See Also:
        Constant Field Values

    - #### F_POSITION

          public static final java.lang.String F_POSITION

      See Also:
        Constant Field Values

    - #### F_POSITION_ATTRIBUTE

          public static final java.lang.String F_POSITION_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### F_TAB_POSITION

          public static final java.lang.String F_TAB_POSITION

      See Also:
        Constant Field Values

    - #### F_TARGET_ID

          public static final java.lang.String F_TARGET_ID

      See Also:
        Constant Field Values

    - #### F_TAB_INDEX

          public static final java.lang.String F_TAB_INDEX

      See Also:
        Constant Field Values

    - #### F_PREFFERED_WIDTH

          public static final java.lang.String F_PREFFERED_WIDTH

      See Also:
        Constant Field Values

    - #### F_PREFFERED_HEIGHT

          public static final java.lang.String F_PREFFERED_HEIGHT

      See Also:
        Constant Field Values

    - #### F_MINIMUM_WIDTH

          public static final java.lang.String F_MINIMUM_WIDTH

      See Also:
        Constant Field Values

    - #### F_MINIMUM_HEIGHT

          public static final java.lang.String F_MINIMUM_HEIGHT

      See Also:
        Constant Field Values

    - #### F_MOVABLE

          public static final java.lang.String F_MOVABLE

      See Also:
        Constant Field Values

    - #### F_CLOSABLE

          public static final java.lang.String F_CLOSABLE

      See Also:
        Constant Field Values

    - #### F_RESIZABLE

          public static final java.lang.String F_RESIZABLE

      See Also:
        Constant Field Values

    - #### F_COLLAPSIBLE

          public static final java.lang.String F_COLLAPSIBLE

      See Also:
        Constant Field Values

    - #### F_MAXIMIZABLE

          public static final java.lang.String F_MAXIMIZABLE

      See Also:
        Constant Field Values

    - #### F_FLOATABLE

          public static final java.lang.String F_FLOATABLE

      See Also:
        Constant Field Values

    - #### F_COllAPSED

          public static final java.lang.String F_COllAPSED

      See Also:
        Constant Field Values

    - #### F_SHOW_HEADER

          public static final java.lang.String F_SHOW_HEADER

      See Also:
        Constant Field Values

    - #### F_DESCRIPTION

          public static final java.lang.String F_DESCRIPTION

      See Also:
        Constant Field Values

    - #### F_ICON

          public static final java.lang.String F_ICON

      See Also:
        Constant Field Values

    - #### SEL_LEFT

          public static final java.lang.String SEL_LEFT

      See Also:
        Constant Field Values

    - #### SEL_RIGHT

          public static final java.lang.String SEL_RIGHT

      See Also:
        Constant Field Values

    - #### SEL_TOP

          public static final java.lang.String SEL_TOP

      See Also:
        Constant Field Values

    - #### SEL_BOTTOM

          public static final java.lang.String SEL_BOTTOM

      See Also:
        Constant Field Values

    - #### SEL_TAB

          public static final java.lang.String SEL_TAB

      See Also:
        Constant Field Values

    - #### SEL_FLOAT

          public static final java.lang.String SEL_FLOAT

      See Also:
        Constant Field Values

    - #### SEL_INNER

          public static final java.lang.String SEL_INNER

      See Also:
        Constant Field Values

    - #### SEL_OUTER

          public static final java.lang.String SEL_OUTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComponentLocationDockable

          public ComponentLocationDockable()

    - #### ComponentLocationDockable

          public ComponentLocationDockable(DataRecord data)

  - ### Method Detail

    - #### getX

          public java.lang.Integer getX()

    - #### setX

          public void setX(java.lang.Integer x)

    - #### getY

          public java.lang.Integer getY()

    - #### setY

          public void setY(java.lang.Integer y)

    - #### getWidth

          public java.lang.Integer getWidth()

    - #### setWidth

          public void setWidth(java.lang.Integer width)

    - #### getHeight

          public java.lang.Integer getHeight()

    - #### setHeight

          public void setHeight(java.lang.Integer height)

    - #### getPosition

          public java.lang.String getPosition()

    - #### setPosition

          public void setPosition(java.lang.String position)

    - #### getPositionAttribute

          public java.lang.String getPositionAttribute()

    - #### setPositionAttribute

          public void setPositionAttribute(java.lang.String positionAttribute)

    - #### getTabPosition

          public java.lang.String getTabPosition()

    - #### setTabPosition

          public void setTabPosition(java.lang.String tabPosition)

    - #### getTargetId

          public java.lang.String getTargetId()

    - #### setTargetId

          public void setTargetId(java.lang.String targetId)

    - #### getTabIndex

          public java.lang.Integer getTabIndex()

    - #### setTabIndex

          public void setTabIndex(java.lang.Integer tabIndex)

    - #### getPreferredWidth

          public java.lang.Integer getPreferredWidth()

    - #### setPreferredWidth

          public void setPreferredWidth(java.lang.Integer preferredWidth)

    - #### getPreferredHeight

          public java.lang.Integer getPreferredHeight()

    - #### setPreferredHeight

          public void setPreferredHeight(java.lang.Integer preferredHeight)

    - #### getMinimumWidth

          public java.lang.Integer getMinimumWidth()

    - #### setMinimumWidth

          public void setMinimumWidth(java.lang.Integer minimumWidth)

    - #### getMinimumHeight

          public java.lang.Integer getMinimumHeight()

    - #### setMinimumHeight

          public void setMinimumHeight(java.lang.Integer minimumHeight)

    - #### getMovable

          public java.lang.Boolean getMovable()

    - #### setMovable

          public void setMovable(java.lang.Boolean movable)

    - #### getClosable

          public java.lang.Boolean getClosable()

    - #### setClosable

          public void setClosable(java.lang.Boolean closable)

    - #### getResizable

          public java.lang.Boolean getResizable()

    - #### setResizable

          public void setResizable(java.lang.Boolean resizable)

    - #### getCollapsible

          public java.lang.Boolean getCollapsible()

    - #### setCollapsible

          public void setCollapsible(java.lang.Boolean collapsible)

    - #### getMaximizable

          public java.lang.Boolean getMaximizable()

    - #### setMaximizable

          public void setMaximizable(java.lang.Boolean maximizable)

    - #### getFloatable

          public java.lang.Boolean getFloatable()

    - #### setFloatable

          public void setFloatable(java.lang.Boolean floatable)

    - #### getCollapsed

          public java.lang.Boolean getCollapsed()

    - #### setCollapsed

          public void setCollapsed(java.lang.Boolean collapsed)

    - #### getShowHeader

          public java.lang.Boolean getShowHeader()

    - #### setShowHeader

          public void setShowHeader(java.lang.Boolean showHeader)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getIcon

          public ImageObject getIcon()

    - #### setIcon

          public void setIcon(ImageObject icon)

    - #### toDataTable

          public DataTable toDataTable()

      Overrides:
        `toDataTable` in class `AggreGateBean`

    - #### fromDataTable

          public static ComponentLocationDockable fromDataTable(DataTable dataTable)